<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Global - Documentation</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav>
    <li class="nav-link nav-home-link"><a href="index.html">Home</a></li><li class="nav-heading">Namespaces</li><li class="nav-heading"><span class="nav-item-type type-namespace">N</span><span class="nav-item-name"><a href="fox.html">fox</a></span></li><li class="nav-heading"><a href="global.html">Globals</a></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#advice">advice</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#decrypt">decrypt</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#discordDeconstruct">discordDeconstruct</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#discordSnowflake">discordSnowflake</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#e621">e621</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#e926">e926</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#encrypt">encrypt</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#fact">fact</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#furry">furry</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#hash">hash</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#hashVerify">hashVerify</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyGen">keyGen</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyGenAsymmetricKey">keyGenAsymmetricKey</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyring">keyring</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyringLoad">keyringLoad</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#owoify">owoify</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#parseURL">parseURL</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#sign">sign</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#snowflake">snowflake</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#snowflakeDeconstruct">snowflakeDeconstruct</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#twitterSnowflake">twitterSnowflake</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#uwuify">uwuify</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#verify">verify</a></span></li>
</nav>

<div id="main">
    
    <h1 class="page-title">Global</h1>
    

    




<section>

<header>
    
        <h2>
        
        </h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

     

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            
<div class="section-method">

    

    <h4 class="name" id="advice"><span class="type-signature">(async) </span>advice<span class="signature">()</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Gives you a random advice. (Very useful :v) )</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line224">line 224</a>
    </li></ul></dd>
    

    

    

    
</dl>























</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="decrypt"><span class="type-signature">(async) </span>decrypt<span class="signature">(str, key)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Decrypts a string. !!WARNING THIS REQUIRES ati.fox.keyGen() TO WORK! also USE THE SAME KEY DO NOT COPY AND PASTE A KEY FROM THE CONSOLE / TERMINAL IT WILL NOT WORK</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line349">line 349</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>str</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>String to decrypt</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>SymmetricKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>SymmetricKey used to decrypt the string</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.decrypt(encrypted, key).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="discordDeconstruct"><span class="type-signature"></span>discordDeconstruct<span class="signature">()</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Can deconstruct a discord (actual) snowflake.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line32">line 32</a>
    </li></ul></dd>
    

    

    

    
</dl>























</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="discordSnowflake"><span class="type-signature"></span>discordSnowflake<span class="signature">()</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Generates a sort of discord snowflake.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line19">line 19</a>
    </li></ul></dd>
    

    

    

    
</dl>























</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="e621"><span class="type-signature">(async) </span>e621<span class="signature">(Tags)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Find a random image with your provided tags on E621.net</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line182">line 182</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>Tags</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Tags used to search for an image</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="e926"><span class="type-signature">(async) </span>e926<span class="signature">(Tags)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Find a random image with your provided tags on E926.net</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line203">line 203</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>Tags</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Tags used to search for an image</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="encrypt"><span class="type-signature">(async) </span>encrypt<span class="signature">(str, key)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Encrypts a string. !!WARNING THIS REQUIRES ati.fox.keyGen() TO WORK! also USE THE SAME KEY DO NOT COPY AND PASTE A KEY FROM THE CONSOLE / TERMINAL IT WILL NOT WORK</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line325">line 325</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>str</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>String to decrypt</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>SymmetricKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>SymmetricKey used to decrypt the string</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.encrypt('hewwo!', key).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="fact"><span class="type-signature">(async) </span>fact<span class="signature">()</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Get a random fact.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line237">line 237</a>
    </li></ul></dd>
    

    

    

    
</dl>























</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="furry"><span class="type-signature">(async) </span>furry<span class="signature">(kind, endpoint)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Get a random image from yiff.rest</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line157">line 157</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>kind</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Kind / Type (ie. sfw, nsfw, animals)</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>endpoint</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Endpoint (https://docs.yiff.rest/#list-categories)</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="hash"><span class="type-signature">(async) </span>hash<span class="signature">(password, key)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Hashes a password.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line467">line 467</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>password</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>String</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Password to hash with.</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>SymmetricKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Key to hash the password.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.hash(password, key).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="hashVerify"><span class="type-signature">(async) </span>hashVerify<span class="signature">(key, password, hashed)</span><span class="type-signature"> &rarr; {Boolean}</span></h4>

    



<div class="description">
    <p>Verifies a hashed password.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line491">line 491</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>SymmetricKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Key to hash the password.</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>password</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>String</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Password to hash with.</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>hashed</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>String</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Already hashed password to see if the current password matches the hash.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>Boolean</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.hash(key, password, hashed).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="keyGen"><span class="type-signature">(async) </span>keyGen<span class="signature">()</span><span class="type-signature"> &rarr; {SymmetricKey}</span></h4>

    



<div class="description">
    <p>Generates a SymmetricKey.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line294">line 294</a>
    </li></ul></dd>
    

    

    

    
</dl>





















<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>SymmetricKey</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>// Returns a SymmetricKeyfox.keyGen().then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="keyGenAsymmetricKey"><span class="type-signature">(async) </span>keyGenAsymmetricKey<span class="signature">()</span><span class="type-signature"> &rarr; {AsymmetricKey}</span></h4>

    



<div class="description">
    <p>Generates a AsymmetricKey.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line309">line 309</a>
    </li></ul></dd>
    

    

    

    
</dl>





















<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>AsymmetricKey</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>// Returns a AsymmetricKeyfox.keyGen.asymmetricKey().then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="keyring"><span class="type-signature">(async) </span>keyring<span class="signature">(key)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Turns a Key to a savable string.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line373">line 373</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>SymmetricKey</code></span>
|

<span class="param-type"><code>AsymmetricSecretKey</code></span>
|

<span class="param-type"><code>AsymmetricPublicKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Key to turn into a savable string.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.keyring(key).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="keyringLoad"><span class="type-signature">(async) </span>keyringLoad<span class="signature">(key)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Turns savable key into a useable Key.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line395">line 395</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>key</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>SymmetricKey</code></span>
|

<span class="param-type"><code>AsymmetricSecretKey</code></span>
|

<span class="param-type"><code>AsymmetricPublicKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>The savable key to reconvert back to a SymmetricKey or AsymetricKey.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.keyringLoad(key).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="owoify"><span class="type-signature"></span>owoify<span class="signature">(str)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>OwOify a string.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line250">line 250</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>str</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>String to owoify</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="parseURL"><span class="type-signature"></span>parseURL<span class="signature">(URL)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Parses the given URL.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line123">line 123</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>URL</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>URL to parse</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="sign"><span class="type-signature">(async) </span>sign<span class="signature">(msg, secret)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Sign a message. !!WARNING THIS FUNCTION DOES NOT PROPERLY WORK</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line421">line 421</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>msg</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>String</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Message to sign.</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>secret</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>AsymmetricSecretKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>SecretKey.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.sign(msg, secret).then(console.log);</code></pre>

</div>

</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="snowflake"><span class="type-signature"></span>snowflake<span class="signature">(Epoch)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Generates a custom Snowflake.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line50">line 50</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>Epoch</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>object</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>The epoch to use to create a snowflake.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="snowflakeDeconstruct"><span class="type-signature"></span>snowflakeDeconstruct<span class="signature">(snowflake, Epoch)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Deconstruct a custom Snowflake.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line68">line 68</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>snowflake</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>number</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>The snowflake to deconstruct</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>Epoch</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>object</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>The epoch to use to create a snowflake.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="twitterSnowflake"><span class="type-signature"></span>twitterSnowflake<span class="signature">()</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Generates a twitter Snowflake.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line92">line 92</a>
    </li></ul></dd>
    

    

    

    
</dl>























</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="twitterSnowflake"><span class="type-signature"></span>twitterSnowflake<span class="signature">(snowflake)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>Deconstructs a twitter Snowflake.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line104">line 104</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>snowflake</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>number</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Twitter snowflake to deconstruct</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="uwuify"><span class="type-signature"></span>uwuify<span class="signature">(str)</span><span class="type-signature"></span></h4>

    



<div class="description">
    <p>UwUify a string.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line267">line 267</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>str</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>string</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>String to uwuify</p>
                
            </td>
        </tr>

    
    </tbody>
</table>
















</div>
        
            
<div class="section-method">

    

    <h4 class="name" id="verify"><span class="type-signature">(async) </span>verify<span class="signature">(msg, publicKey, signature)</span><span class="type-signature"> &rarr; {String}</span></h4>

    



<div class="description">
    <p>Sign a message.</p>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ati.js.html">ati.js</a>, <a href="ati.js.html#line443">line 443</a>
    </li></ul></dd>
    

    

    

    
</dl>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>msg</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>String</code></span>
|

<span class="param-type"><code>Buffer</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Original message.</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>publicKey</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>AsymmetricPublicKey</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Public key to verify with.</p>
                
            </td>
        </tr>

    

        <tr>
            
                <td class="name"><code>signature</code></td>
            

            <td class="type">
            
                
<span class="param-type"><code>String</code></span>
|

<span class="param-type"><code>Buffer</code></span>


            
            </td>

            

            

            <td class="description last">
                <p>Signed message signature.</p>
                
            </td>
        </tr>

    
    </tbody>
</table>














<div class="section-returns">
<h5>Returns:</h5>

        

<dl class="param-type">
    <dt>
        Type:
    </dt>
    <dd>
        
<span class="param-type"><code>String</code></span>


    </dd>
</dl>


    
</div>



<div class="section-examples">
<h5>Example</h5>

    <pre class="prettyprint"><code>fox.verify(msg, public, signature).then(console.log);</code></pre>

</div>

</div>
        
    

    

    
</article>

</section>




</div>

<br class="clear">

<footer>
    Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.6</a> on Wed Mar 24 2021 21:46:38 GMT+1100 (Australian Eastern Daylight Time) using the Minami theme.
</footer>

<script>prettyPrint();</script>
<script src="scripts/linenumber.js"></script>
</body>
</html>